using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x0E, 0x19)]
    public class ChatStatusHandler : PacketHandler
    {
        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            //var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            //Logger.WriteHex(info, data);

            var reader = new PacketReader(data);
            var obj = reader.ReadObjectHeader();
            var status = reader.ReadUInt32();

            context.SendPacket(new ChatStatusPacket(obj.ID, status));
        }
    }
}